<?php

namespace App\EntityList;

/**
 * The class can manage and export a list of Galileo services from the database.
 * @author Lucian Sirbu
 */
class Galileo extends \App\EntityList\GeneralAbstract
{

	/**
	 * (non-PHPdoc)
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTGalileoServices;
		$this->setMainTable($DBTGalileoServices, 'serv');

		$this->addTableDescription($DBTGalileoServices, ['docDate' => ['type'=>'date', ]]);
	}

	/**
	 * (non-PHPdoc)
	 * @see \App\EntityList\GeneralAbstract::setDefaultFilters()
	 */
	public function setDefaultFilters(): void
	{
	}
}
